Bug 81173 - application fails at password entry
application fails at password entry
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-printer (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-01-06 08:17 EST by Tom Coady
Modified: 2007-04-18 12:49 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-02 14:05:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom Coady 2003-01-06 08:17:30 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.3a) Gecko/20021212

Description of problem:
When I started this application and chose printers on SMB it successfully
discovered the shared printer names on the samba network but when it prompted
for a username and password it got no further after I entered this information
it just repeated the prompt.

Assuming this was a fault in my smb configuration I changed this a bit to see if
I could see the windows shares. I think the configuration was wrong as I had
wins support = yes. Changing this did not allow opening of the shares from
redhat using mount -t smb but I could see the linux share from windows. At this
point I tried again and this time the printers were not automaticallly
discovered and I got a window saying I must choose an SMB share to print to.

This is my smb.conf

# Global parameters
[global]
        interfaces = 192.169.0.1/24
        workgroup = MSHOME
        server string = Samba Server
        encrypt passwords = Yes
        passwd program = /usr/bin/passwd %u
        passwd chat = *New*password* %n\n *Retype*new*password* %n\n *passwd:*al
l*authentication*tokens*updated*successfully*
        bind interfaces only = Yes
        log file = /var/log/samba/%m.log
        max log size = 0
        socket options = TCP_NODELAY SO_RCVBUF=8192 SO_SNDBUF=8192
        dns proxy = No
        wins support = no
        wins server = 192.168.0.1
        printing = lprng
 [homes]
        comment = Home Directories
        valid users = tom
        path = /home/tom
        read only = No
        create mask = 0664
        directory mask = 0775
        hosts allow = 192.168.0.1

[printers]
        comment = All Printers
        path = /var/spool/samba
        printable = Yes
        browseable = No

[hp]
        path = /tmp
        printable = Yes


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Start redhat-config-printer
2. Choose network windows SMB printer
3. Click forward
    

Actual Results:  First time got a list of printers, second time got a warning to
choose a a share.

Expected Results:  Successful selection of SMB printer

Additional info:

Please let me know what extra data is needed
Comment 1 Tim Waugh 2003-01-06 08:44:13 EST
So now you no longer even get a list of samba shares to choose from?

For this issue, seeing Linux shares from Windows is completely irrelevant; only
accessing Windows shares from Linux is needed for printing.

For testing whether a Windows printer share can be accessed, please use:

smbclient //smbhost/share password -N -P -c quit -U user

What type of security is set on the Window machine?  Share-level, or user-level?

Please also try this:

cd /usr/share/printconf/util/
python
>>> import pysmb
>>> pysmb.get_host_list ()
(then press ctrl-D).  What does it say?
Comment 2 Tom Coady 2003-01-06 09:24:44 EST
[root@redhat root]# smbclient //fish/test pass -N -P -c quit -U tom
added interface ip=192.169.0.1 bcast=192.169.0.255 nmask=255.255.255.0
error connecting to 127.0.0.1:139 (Connection refused)
Error connecting to 127.0.0.1 (Connection refused)
Connection to fish failed
[root@redhat root]# smbclient //fish/test pass -N -P -c quit -U guest
added interface ip=192.169.0.1 bcast=192.169.0.255 nmask=255.255.255.0
error connecting to 127.0.0.1:139 (Connection refused)
Error connecting to 127.0.0.1 (Connection refused)
Connection to fish failed
[root@redhat root]# cd /usr/share/printconf/util/
[root@redhat util]# python
Python 2.2.2 (#1, Dec 16 2002, 19:15:34)
[GCC 3.2.1 20021207 (Red Hat Linux 8.0 3.2.1-2)] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> import pysmb
>>> pysmb.get_host_list ()
{}
>>>
[root@redhat util]#

Comment 3 Tim Waugh 2003-01-06 09:37:05 EST
Er.. fish seems to be your local Linux machine, not the Windows machine.
Comment 4 Tim Waugh 2003-01-06 09:38:26 EST
Also, please undo whatever change you made to stop browsing working at all.

What type of security is set on the Window machine?  Share-level, or user-level?
Comment 5 Tom Coady 2003-01-06 10:14:10 EST
Sorry about that I changed the names, but I get the same results with this:
[root@redhat util]# smbclient //mshome/test p -N -P -c quit -U tom
added interface ip=192.169.0.1 bcast=192.169.0.255 nmask=255.255.255.0
wins_srv_died(): WINS server 192.168.0.1 appears to be down.
Connection to mshome failed
[root@redhat util]#

I think the security is share in the sense that I change the properties of the
folders to share level.


[root@redhat util]# smbclient -L 192.168.0.1
added interface ip=192.169.0.1 bcast=192.169.0.255 nmask=255.255.255.0
session request to 192.168.0.1 failed (Called name not present)
session request to 192 failed (Called name not present)
Password:
Domain=[MSHOME] OS=[Windows 5.1] Server=[Windows 2000 LAN Manager]

        Sharename      Type      Comment
        ---------      ----      -------
        hpdeskje.2     Printer   hp deskjet 656c series
        IPC$           IPC       Remote IPC
        D$             Disk      Default share
        SharedDocs     Disk
        print$         Disk      Printer Drivers
        HPDeskJe       Printer   HP DeskJet 520
        F$             Disk      Default share
        Tom            Disk
        ADMIN$         Disk      Remote Admin
        Mail           Disk
        C$             Disk      Default share

        Server               Comment
        ---------            -------
        FISH                 sea40

        Workgroup            Master
        ---------            -------
        MSHOME               FISH
[root@redhat util]#

When I revert to previous SMB conf I get a failed NMB start up so I guess I have
forgotten some of the changes - sorry.
Comment 6 Tim Waugh 2003-01-06 10:58:56 EST
Would you mind reverting smb.conf to the default one from Phoebe?  You can get
it like this:

rpm2cpio samba-common-*.rpm | (cd /tmp; cpio -idv ./etc/samba/smb.conf)

The pristine smb.conf will be in /tmp/etc/samba/smb.conf.
Comment 7 Tom Coady 2003-01-06 11:38:16 EST
OK, done. This brings me back to square one: I get a list of shares, select
windows and the printer, get prompted for uname pw and it keeps prompting for
this information. It gives the printer name as the share instead of the
//share/printer format BTW.

[root@redhat tom]# rpm2cpio samba-common-*.rpm | (cd /tmp; cpio -idv
./etc/samba/smb.conf)
./etc/samba/smb.conf
16915 blocks
[root@redhat tom]# ls /tmp/etc/samba/
smb.conf
[root@redhat tom]# cp /tmp/etc/samba/smb.conf /etc/samba/.
cp: overwrite `/etc/samba/./smb.conf'? y
[root@redhat tom]# service smb restart
Shutting down SMB services:                                [FAILED]
Shutting down NMB services:                                [FAILED]
Starting SMB services:                                     [  OK  ]
Starting NMB services:                                     [  OK  ]
[root@redhat tom]#
Comment 8 Tim Waugh 2003-01-06 11:45:56 EST
Yes, it's expected at that stage that it just shows the printer name.

So now please try the smbclient command line as before: what does that say now?
 How about if you leave off '-U username'?
Comment 9 Tom Coady 2003-01-06 11:53:46 EST
[root@redhat tom]# smbclient //fish/test pass -N -P -c quit
added interface ip=192.168.0.193 bcast=192.168.0.255 nmask=255.255.255.0
session setup failed: NT_STATUS_LOGON_FAILURE
[root@redhat tom]# smbclient //MSHOME/test -N -P -c quit
added interface ip=192.168.0.193 bcast=192.168.0.255 nmask=255.255.255.0
Connection to MSHOME failed
[root@redhat tom]# smbclient //fish/test p -N -P -c quit
added interface ip=192.168.0.193 bcast=192.168.0.255 nmask=255.255.255.0
session setup failed: NT_STATUS_LOGON_FAILURE
[root@redhat tom]# smbclient //fish/test  -N -P -c quit
added interface ip=192.168.0.193 bcast=192.168.0.255 nmask=255.255.255.0
Anonymous login successful
Domain=[MYGROUP] OS=[Unix] Server=[Samba 2.2.7]
tree connect failed: NT_STATUS_BAD_NETWORK_NAME
smbclient -L as before:
[root@redhat tom]# smbclient -L 192.168.0.1
added interface ip=192.168.0.193 bcast=192.168.0.255 nmask=255.255.255.0
session request to 192.168.0.1 failed (Called name not present)
session request to 192 failed (Called name not present)
Password:
Domain=[MSHOME] OS=[Windows 5.1] Server=[Windows 2000 LAN Manager]

        Sharename      Type      Comment
        ---------      ----      -------
        hpdeskje.2     Printer   hp deskjet 656c series
        IPC$           IPC       Remote IPC
        D$             Disk      Default share
        SharedDocs     Disk
        print$         Disk      Printer Drivers
        HPDeskJe       Printer   HP DeskJet 520
        F$             Disk      Default share
        Tom            Disk
        ADMIN$         Disk      Remote Admin
        Mail           Disk
        C$             Disk      Default share

        Server               Comment
        ---------            -------
        FISH                 sea40

        Workgroup            Master
        ---------            -------
        MSHOME               FISH
        MYGROUP              REDHAT
[root@redhat tom]# smbclient //MSHOME/Tom  -N -P -c quit
added interface ip=192.168.0.193 bcast=192.168.0.255 nmask=255.255.255.0
Connection to MSHOME failed

Comment 10 Tim Waugh 2003-01-06 12:10:30 EST
What's //fish/test?  You don't seem to have a share by that name at all?  Which
printer share are you trying to connect to?
Comment 11 Tom Coady 2003-01-06 13:23:29 EST
Well I just tried that after I failed to connect to //mshome/test in case I had
mistaken the workgroup name. Is there any other command you need based on the
output of smbclient -L ?
Comment 12 Tim Waugh 2003-01-06 13:25:25 EST
mshome is the workgroup, not the smb machine name, and so you definitely don't
want that.

'HPDeskJe': is that the full name?  Try //fish//HPDeskJe.
Comment 13 Tom Coady 2003-01-06 13:47:04 EST
[root@redhat tom]# smbclient //FISH/HPDeskJe  -N -P -c quit
added interface ip=192.168.0.193 bcast=192.168.0.255 nmask=255.255.255.0
Anonymous login successful
Domain=[MYGROUP] OS=[Unix] Server=[Samba 2.2.7]
tree connect failed: NT_STATUS_BAD_NETWORK_NAME
Comment 14 Tim Waugh 2003-01-06 13:58:44 EST
Well, is HPDeskJe the full name, or is there more to it?  What does the Windows
machine say that share is called?
Comment 15 Tom Coady 2003-01-06 14:07:06 EST
I renamed the printer 656c as I was not sure how to handle the spaces in the
name but I think the error remains the same:

[root@redhat tom]# smbclient //FISH/656c  -N -P -c quit
added interface ip=192.168.0.193 bcast=192.168.0.255 nmask=255.255.255.0
Anonymous login successful
Domain=[MYGROUP] OS=[Unix] Server=[Samba 2.2.7]
tree connect failed: NT_STATUS_BAD_NETWORK_NAME
Comment 16 Tim Waugh 2003-01-06 14:15:37 EST
What does smbclient -L say about it now?
Comment 17 Tom Coady 2003-01-06 17:18:20 EST
the same: 
 
root@redhat tom]#  smbclient -L 192.168.0.1 
added interface ip=192.168.0.193 bcast=192.168.0.255 nmask=255.255.255.0 
session request to 192.168.0.1 failed (Called name not present) 
session request to 192 failed (Called name not present) 
Password: 
Domain=[MSHOME] OS=[Windows 5.1] Server=[Windows 2000 LAN Manager] 
 
        Sharename      Type      Comment 
        ---------      ----      ------- 
        hpdeskje.2     Printer   656c 
        IPC$           IPC       Remote IPC 
        D$             Disk      Default share 
        SharedDocs     Disk 
        print$         Disk      Printer Drivers 
        HPDeskJe       Printer   HP DeskJet 520 
        F$             Disk      Default share 
        Tom            Disk 
        ADMIN$         Disk      Remote Admin 
        Mail           Disk 
        C$             Disk      Default share 
 
        Server               Comment 
        ---------            ------- 
        FISH                 sea40 
 
        Workgroup            Master 
        ---------            ------- 
        MSHOME               FISH 
        MYGROUP              REDHAT 
 
Comment 18 Tom Coady 2003-01-06 17:19:46 EST
OK it should not be the same since I renamed the printer! 
Comment 19 Tim Waugh 2003-01-06 17:45:02 EST
The share name is still exactly the same.  The comment (human-readable name)
seems to be changed, but the name of the printer is still exactly the same.

It looks to me like the name of the queue would be something like HPDeskJet, not
HPDeskJe; why it appears truncated I've no idea.
Comment 20 Tim Waugh 2003-01-08 13:46:22 EST
Please try browsing in nautilus (location 'smb:') and see what you find out.
Comment 21 Tom Coady 2003-01-09 04:38:14 EST
I already tried to start nautilus but this application does not work as I
reported here:
https://listman.redhat.com/pipermail/phoebe-list/2003-January/000701.html 
Comment 22 Tim Waugh 2003-01-09 05:00:55 EST
Then try //FISH/HPDeskJet.
Comment 23 Tom Coady 2003-01-09 05:06:32 EST
[root@redhat root]#  //FISH/HPDeskJet
-bash: //FISH/HPDeskJet: No such file or directory
[root@redhat root]# smbc
smbcacls    smbclient   smbcontrol
[root@redhat root]# smbclient //FISH/HPDeskJet
added interface ip=192.168.0.193 bcast=192.168.0.255 nmask=255.255.255.0
Password:
session setup failed: NT_STATUS_LOGON_FAILURE
Comment 24 Tim Waugh 2003-01-09 05:09:46 EST
No, like this (as before): 

smbclient //FISH/HPDeskJet  -N -P -c quit

But really you need to find out what the share name actually is on the Windows
machine.  Not the comment, the *name*.
Comment 25 Tom Coady 2003-01-09 06:21:50 EST
[root@redhat root]# smbclient -L 192.168.0.1
added interface ip=192.168.0.193 bcast=192.168.0.255 nmask=255.255.255.0
session request to 192.168.0.1 failed (Called name not present)
session request to 192 failed (Called name not present)
Password:
!! Note: the password is ignored here - I can use anything !!
Domain=[MSHOME] OS=[Windows 5.1] Server=[Windows 2000 LAN Manager]

        Sharename      Type      Comment
        ---------      ----      -------

        HPDesk1        Printer   HP DeskJet 520
        F$             Disk      Default share
        hp2            Printer   656c
      
[root@redhat root]# smbclient //FISH/HPDesk1  -N -P -c quit
added interface ip=192.168.0.193 bcast=192.168.0.255 nmask=255.255.255.0
Anonymous login successful
Domain=[MYGROUP] OS=[Unix] Server=[Samba 2.2.7]
tree connect failed: NT_STATUS_BAD_NETWORK_NAME
[root@redhat root]# smbclient //FISH/hp2  -N -P -c quit
added interface ip=192.168.0.193 bcast=192.168.0.255 nmask=255.255.255.0
Anonymous login successful
Domain=[MYGROUP] OS=[Unix] Server=[Samba 2.2.7]
tree connect failed: NT_STATUS_BAD_NETWORK_NAME

Comment 26 Tim Waugh 2003-01-09 06:26:35 EST
CC'ing samba RPM maintainer: any idea what's going on here?
Comment 27 Jay Fenlason 2003-01-09 17:25:14 EST
Are the username and password correct for the Windows machine that spools the
printer?

If they are, what happens when you use smbclient to attempt to access the
printer share?  Use something like "smbclient -U Jay_Fenlason -W JFDOMAIN
//printserver/printername" then type your Windows password at the prompt.  If it
says "smb>", it successfully connected to the printer share, and you can do a
"queue" command to list the jobs queued for printing, or a "print" command to
print a test page.  (Read the smbclient man page if you need to.)
Comment 28 Tom Coady 2003-01-10 03:09:31 EST
[root@redhat root]# smbclient //fish/hp2 -U tom -W mshome
added interface ip=192.168.0.193 bcast=192.168.0.255 nmask=255.255.255.0
Password:
session setup failed: NT_STATUS_LOGON_FAILURE

FYI I started rdesktop to verify the uname and password into XP, but I guess
this may not mean that much in terms of samba.
Comment 29 Tim Waugh 2003-01-10 04:51:17 EST
Aha.  So what happens if you try this?:

smbclient //FISH/hp2 -W mshome -N -P -c quit
Comment 30 Tom Coady 2003-01-10 05:23:42 EST
[root@redhat root]# smbclient //FISH/hp2 -W mshome -N -P -c quit
added interface ip=192.168.0.193 bcast=192.168.0.255 nmask=255.255.255.0
Anonymous login successful
Domain=[MYGROUP] OS=[Unix] Server=[Samba 2.2.7]
tree connect failed: NT_STATUS_BAD_NETWORK_NAME
Comment 31 Tim Waugh 2003-01-10 05:26:57 EST
How about this?:

smbclient //FISH/hp2 -W mygroup -N -P -c quit
Comment 32 Tom Coady 2003-01-10 05:34:07 EST
[root@redhat root]# smbclient //FISH/hp2 -W mygroup -N -P -c quit
added interface ip=192.168.0.193 bcast=192.168.0.255 nmask=255.255.255.0
Anonymous login successful
Domain=[MYGROUP] OS=[Unix] Server=[Samba 2.2.7]
tree connect failed: NT_STATUS_BAD_NETWORK_NAME
Comment 33 Tim Waugh 2003-01-10 05:52:18 EST
Jay, what do you make of this?  It is an anonymous login, but it's saying 'bad
network name' even though we're using the name from the smbclient -L output.

Are the 'Called name not present' warnings from smbclient -L anything to worry
about?
Comment 35 Bill Nottingham 2006-08-05 00:41:33 EDT
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been
provided.

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.
Comment 37 Bill Nottingham 2007-01-02 14:05:15 EST
Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
f you are currently still running Red Hat Linux 7.3 or 9, you are strongly
advised to upgrade to a current Fedora Core release or Red Hat Enterprise Linux
or comparable. Some information on which option may be right for you is
available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.